//
//  ZJPopListView.h
//  TplhkSaleSupportSystemOC
//
//  Created by 张军 on 2018/11/27.
//  Copyright © 2018 张军. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "Masonry.h"
@class ZJTextField;
@class ZJPopListView;
@protocol ZJPopListViewDelegate <NSObject>

- (void)popListView:(ZJPopListView *)ZJPopListView didClickTableRowOfText:(NSString *)text;

@end

@interface ZJPopListView : UIView
@property(nonatomic,strong)UIButton *coveButton;
@property(nonatomic,strong)UITableView * stateSelTableView;
@property(nonatomic,weak)id<ZJPopListViewDelegate> delegate;

//数据源数组 一般为字符串数组   textFieldFrame是textField在屏幕上的位置
- (instancetype)initWithDataArray:(NSArray *)dataArray supreTextField:(ZJTextField *)textField;

- (void)popListViewShow;
- (void)popListViewHide;
@end
